<?php declare(strict_types=1);


/* Configuration file for Nadybot. */


$vars = [];
// Account information.
$vars['login']      = "";
$vars['password']   = "";
$vars['name']       = "";
$vars['my_guild']   = "";

// Automatically detect org name changes. Requires an initial my_guild
$vars['auto_guild_name']  = 0;

// 6 for Live (new), 5 for Live (old), 4 for Test.
$vars['dimension']  = 5;

// Character name of the Super Administrator.
$vars['SuperAdmin'] = "";

// Database information.
$vars['DB Type'] = "sqlite";		// What type of database should be used? ('sqlite' or 'mysql')
$vars["DB Name"] = $vars["name"] . ".db";
$vars["DB Host"] = "/var/lib/nadybot/db/";
$vars['DB username'] = "";			// MySQL username
$vars['DB password'] = "";			// MySQL password

// Show AOML markup in logs/console? 1 for enabled, 0 for disabled.
$vars['show_aoml_markup'] = 0;

// Cache folder for storing organization XML files.
$vars["cachefolder"] = "/var/lib/nadybot/cache/";

// Folder for storing HTML files of the webserver
$vars["htmlfolder"] = "/var/lib/nadybot/html/" . $vars["name"] . "/";

// Folder for storing data files
$vars["datafolder"] = "/var/lib/nadybot/data/" . $vars["name"] . "/";

// Folder for storing log files
$vars["logsfolder"] = "/var/log/nadybot";

// Default status for new modules? 1 for enabled, 0 for disabled.
$vars["default_module_status"] = 1;

// Enable the readline-based console interface to the bot?
$vars["enable_console_client"] = 0;

// Enable the module to install other modules from within the bot
$vars['enable_package_module'] = 1;

// Try to automatically unfreeze frozen accounts
$vars['auto_unfreeze'] = true;
$vars['auto_unfreeze_login'] = null;
$vars['auto_unfreeze_password'] = null;
$vars['auto_unfreeze_use_nadyproxy'] = true;

// Use AO Chat Proxy? 1 for enabled, 0 for disabled.
$vars['use_proxy']    = 0;
$vars['proxy_server'] = "127.0.0.1";
$vars['proxy_port']   = 9993;

// Define additional paths from where Nadybot should load modules at startup
$vars['module_load_paths'] = [
	'./src/Modules',
	"/var/lib/nadybot/extras/" . $vars["name"],
];
