<?php declare(strict_types=1);

namespace Nadybot\Modules\DEV_MODULE;

use Nadybot\Core\{
	Attributes as NCA,
	CmdContext,
	ModuleInstance,
	Text,
};

/**
 * @author Nadyita (RK5)
 */
#[
	NCA\Instance,
	NCA\DefineCommand(
		command: "gameicons",
		accessLevel: "mod",
		description: "List all game icons with their name"
	)
]
class GameIconsController extends ModuleInstance {
	#[NCA\Inject]
	public Text $text;

	/** List all game icons with their name */
	#[NCA\HandlesCommand("gameicons")]
	public function gameIconsCommand(CmdContext $context): void {
		$icons = [
			"GFX_FONT_CHAT9",
			"GFX_FONT_GAMESHELL12",
			"GFX_FONT_TOOLTIP9",
			"GFX_GUI_ACTIONVIEW_ALIENXPBAR",
			"GFX_GUI_ACTIONVIEW_ALIENXPBAR_BACKGROUND",
			"GFX_GUI_ACTIONVIEW_ALIENXPBAR_LEFT",
			"GFX_GUI_ACTIONVIEW_ALIENXPBAR_RIGHT",
			"GFX_GUI_ACTIONVIEW_HEALTHBAR",
			"GFX_GUI_ACTIONVIEW_HEALTHBAR_BACKGROUND",
			"GFX_GUI_ACTIONVIEW_HEALTHBAR_LEFT",
			"GFX_GUI_ACTIONVIEW_HEALTHBAR_RIGHT",
			"GFX_GUI_ACTIONVIEW_NANOBAR",
			"GFX_GUI_ACTIONVIEW_NANOBAR_BACKGROUND",
			"GFX_GUI_ACTIONVIEW_NANOBAR_LEFT",
			"GFX_GUI_ACTIONVIEW_NANOBAR_RIGHT",
			"GFX_GUI_ACTIONVIEW_TARGET_HEALTHBAR",
			"GFX_GUI_ACTIONVIEW_TARGET_HEALTHBAR_BACKGROUND",
			"GFX_GUI_ACTIONVIEW_TARGET_INRANGE",
			"GFX_GUI_ACTIONVIEW_XPBAR",
			"GFX_GUI_ACTIONVIEW_XPBAR_BACKGROUND",
			"GFX_GUI_ACTIONVIEW_XPBAR_LEFT",
			"GFX_GUI_ACTIONVIEW_XPBAR_RIGHT",
			"GFX_GUI_AGGDEF_SLIDER",
			"GFX_GUI_AO_LOGO",
			"GFX_GUI_ATTAK_IND",
			"GFX_GUI_BACKGROUND_ATTAK_IND",
			"GFX_GUI_BACKGROUND_PING",
			"GFX_GUI_BAR_HEALTH_TEAM",
			"GFX_GUI_BAR_HEALTH_TEAM_BG",
			"GFX_GUI_BAR_NANO_TEAM",
			"GFX_GUI_BAR_NANO_TEAM_BG",
			"GFX_GUI_BORDER01_BACKGROUND",
			"GFX_GUI_BORDER01_BL",
			"GFX_GUI_BORDER01_BOTTOM",
			"GFX_GUI_BORDER01_BR",
			"GFX_GUI_BORDER01_LEFT",
			"GFX_GUI_BORDER01_RIGHT",
			"GFX_GUI_BORDER01_TL",
			"GFX_GUI_BORDER01_TOP",
			"GFX_GUI_BORDER01_TR",
			"GFX_GUI_BORDER02_BACKGROUND",
			"GFX_GUI_BORDER02_BL",
			"GFX_GUI_BORDER02_BOTTOM",
			"GFX_GUI_BORDER02_BR",
			"GFX_GUI_BORDER02_LEFT",
			"GFX_GUI_BORDER02_RIGHT",
			"GFX_GUI_BORDER02_TL",
			"GFX_GUI_BORDER02_TOP",
			"GFX_GUI_BORDER02_TR",
			"GFX_GUI_BORDER03_BL",
			"GFX_GUI_BORDER03_BOTTOM",
			"GFX_GUI_BORDER03_BR",
			"GFX_GUI_BORDER03_LEFT",
			"GFX_GUI_BORDER03_RIGHT",
			"GFX_GUI_BORDER03_TL",
			"GFX_GUI_BORDER03_TOP",
			"GFX_GUI_BORDER03_TR",
			"GFX_GUI_BORDER04_BACKGROUND",
			"GFX_GUI_BORDER04_BL",
			"GFX_GUI_BORDER04_BOTTOM",
			"GFX_GUI_BORDER04_BR",
			"GFX_GUI_BORDER04_LEFT",
			"GFX_GUI_BORDER04_RIGHT",
			"GFX_GUI_BORDER04_TL",
			"GFX_GUI_BORDER04_TOP",
			"GFX_GUI_BORDER04_TR",
			"GFX_GUI_BORDER3_BL",
			"GFX_GUI_BORDER3_BOTTOM",
			"GFX_GUI_BORDER3_BR",
			"GFX_GUI_BORDER3_LEFT",
			"GFX_GUI_BORDER3_RIGHT",
			"GFX_GUI_BORDER3_TL",
			"GFX_GUI_BORDER3_TOP",
			"GFX_GUI_BORDER3_TR",
			"GFX_GUI_BORDER_CHAT_BOTTOM",
			"GFX_GUI_BORDER_VERTICAL_5DEPTH",
			"GFX_GUI_BOREDER3_CLOSEBUTTON_NORMAL",
			"GFX_GUI_BOREDER3_CLOSEBUTTON_PRESSED",
			"GFX_GUI_BS_BLUESTAR",
			"GFX_GUI_BS_MAIN",
			"GFX_GUI_BS_REDSTAR",
			"GFX_GUI_BS_WHITESTAR",
			"GFX_GUI_BUFF_SELECTOR",
			"GFX_GUI_BUTTON_ACCEPT",
			"GFX_GUI_BUTTON_ACCEPT_HILITE",
			"GFX_GUI_BUTTON_ACCEPT_MISSION",
			"GFX_GUI_BUTTON_ACCEPT_MISSION_HILITE",
			"GFX_GUI_BUTTON_ACCEPT_MISSION_INVALID",
			"GFX_GUI_BUTTON_ARROWDOWN",
			"GFX_GUI_BUTTON_ARROWDOWN_PRESSED",
			"GFX_GUI_BUTTON_ARROWUP",
			"GFX_GUI_BUTTON_ARROWUP_PRESSED",
			"GFX_GUI_BUTTON_BACKWARD",
			"GFX_GUI_BUTTON_BUILDMENU_INVALID",
			"GFX_GUI_BUTTON_BUILDMENU_NORMAL",
			"GFX_GUI_BUTTON_BUILDMENU_PRESSED",
			"GFX_GUI_BUTTON_BUILD_NORMAL",
			"GFX_GUI_BUTTON_BUILD_PRESSED",
			"GFX_GUI_BUTTON_CANCEL_MISSION",
			"GFX_GUI_BUTTON_CANCEL_MISSION_HILITE",
			"GFX_GUI_BUTTON_CHECK_INVALID",
			"GFX_GUI_BUTTON_CHECK_NORMAL",
			"GFX_GUI_BUTTON_CHECK_OFF",
			"GFX_GUI_BUTTON_CHECK_ON",
			"GFX_GUI_BUTTON_CHECK_PRESSED",
			"GFX_GUI_BUTTON_DECLINE",
			"GFX_GUI_BUTTON_DECLINE_HILITE",
			"GFX_GUI_BUTTON_DESC_INACTIVE",
			"GFX_GUI_BUTTON_DESC_NORMAL",
			"GFX_GUI_BUTTON_DESC_PRESSED",
			"GFX_GUI_BUTTON_DSHIELD_NORMAL",
			"GFX_GUI_BUTTON_DSHIELD_PRESSED",
			"GFX_GUI_BUTTON_EXPAND_DOWN",
			"GFX_GUI_BUTTON_EXPAND_LEFT",
			"GFX_GUI_BUTTON_EXPAND_RIGHT",
			"GFX_GUI_BUTTON_EXPAND_UP",
			"GFX_GUI_BUTTON_FORWARD",
			"GFX_GUI_BUTTON_GENERATE",
			"GFX_GUI_BUTTON_GENERATE_HILITE",
			"GFX_GUI_BUTTON_GENERATE_INVALID",
			"GFX_GUI_BUTTON_GIVE_INACTIVE",
			"GFX_GUI_BUTTON_GIVE_NORMAL",
			"GFX_GUI_BUTTON_GIVE_PRESSED",
			"GFX_GUI_BUTTON_HELP",
			"GFX_GUI_BUTTON_HELP_HILITE",
			"GFX_GUI_BUTTON_HOME",
			"GFX_GUI_BUTTON_IGNORE",
			"GFX_GUI_BUTTON_IGNORE_HILITE",
			"GFX_GUI_BUTTON_INFO_NORMAL",
			"GFX_GUI_BUTTON_INFO_PRESSED",
			"GFX_GUI_BUTTON_INVENTORY",
			"GFX_GUI_BUTTON_INVENTORY_HILITE",
			"GFX_GUI_BUTTON_LEAVE",
			"GFX_GUI_BUTTON_LEAVE_HILITE",
			"GFX_GUI_BUTTON_MAPTOWER_INVALID",
			"GFX_GUI_BUTTON_MAPTOWER_NORMAL",
			"GFX_GUI_BUTTON_MAPTOWER_PRESSED",
			"GFX_GUI_BUTTON_MISSION_LESS",
			"GFX_GUI_BUTTON_MISSION_MORE",
			"GFX_GUI_BUTTON_NO",
			"GFX_GUI_BUTTON_NO_HILITE",
			"GFX_GUI_BUTTON_OPTIONS",
			"GFX_GUI_BUTTON_OPTIONS_PRESSED",
			"GFX_GUI_BUTTON_PLANETMAP",
			"GFX_GUI_BUTTON_PLANETMAP_HILITE",
			"GFX_GUI_BUTTON_QUIT_TO_LOGIN",
			"GFX_GUI_BUTTON_QUIT_TO_LOGIN_HILITE",
			"GFX_GUI_BUTTON_QUIT_TO_WIN",
			"GFX_GUI_BUTTON_QUIT_TO_WIN_HILITE",
			"GFX_GUI_BUTTON_RECRUIT",
			"GFX_GUI_BUTTON_RECRUIT_HILITE",
			"GFX_GUI_BUTTON_SHOP_INACTIVE",
			"GFX_GUI_BUTTON_SHOP_NORMAL",
			"GFX_GUI_BUTTON_SHOP_PRESSED",
			"GFX_GUI_BUTTON_SHOWONLY",
			"GFX_GUI_BUTTON_SHOWONLY_HILITE",
			"GFX_GUI_BUTTON_SKILLSYSTEM",
			"GFX_GUI_BUTTON_SKILLSYSTEM_HILITE",
			"GFX_GUI_BUTTON_TEMPGROUP",
			"GFX_GUI_BUTTON_TEMPGROUP_HILITE",
			"GFX_GUI_BUTTON_TREE_MINUS",
			"GFX_GUI_BUTTON_TREE_PLUS",
			"GFX_GUI_BUTTON_V_NORMAL",
			"GFX_GUI_BUTTON_V_PRESSED",
			"GFX_GUI_BUTTON_WARMENU_INVALID",
			"GFX_GUI_BUTTON_WARMENU_NORMAL",
			"GFX_GUI_BUTTON_WARMENU_PRESSED",
			"GFX_GUI_BUTTON_X_NORMAL",
			"GFX_GUI_BUTTON_X_PRESSED",
			"GFX_GUI_BUTTON_YES",
			"GFX_GUI_BUTTON_YES_HILITE",
			"GFX_GUI_CAMERA_IND_1",
			"GFX_GUI_CAMERA_IND_3F",
			"GFX_GUI_CAMERA_IND_3R",
			"GFX_GUI_CAMERA_IND_3T",
			"GFX_GUI_CASHVIEW",
			"GFX_GUI_CC_BACK_NORMAL",
			"GFX_GUI_CC_BACK_OVER",
			"GFX_GUI_CC_BACK_PRESSED",
			"GFX_GUI_CC_EXIT_NORMAL",
			"GFX_GUI_CC_EXIT_OVER",
			"GFX_GUI_CC_EXIT_PRESSED",
			"GFX_GUI_CC_ICONS_ACTIONS",
			"GFX_GUI_CC_ICONS_FACTIONS",
			"GFX_GUI_CC_ICONS_FRIENDS",
			"GFX_GUI_CC_ICONS_INVENTORY",
			"GFX_GUI_CC_ICONS_MAP",
			"GFX_GUI_CC_ICONS_MISSIONS",
			"GFX_GUI_CC_ICONS_NANO",
			"GFX_GUI_CC_ICONS_NCU",
			"GFX_GUI_CC_ICONS_PERKS",
			"GFX_GUI_CC_ICONS_SHORTCUTS",
			"GFX_GUI_CC_ICONS_SKILLS",
			"GFX_GUI_CC_ICONS_STORE",
			"GFX_GUI_CC_ICONS_TEAM",
			"GFX_GUI_CC_ICONS_VEHICLE",
			"GFX_GUI_CC_ICONS_WEAR",
			"GFX_GUI_CC_LARGE_NORMAL",
			"GFX_GUI_CC_LARGE_OVER",
			"GFX_GUI_CC_LARGE_PRESSED",
			"GFX_GUI_CC_MEDIUM_NORMAL",
			"GFX_GUI_CC_MEDIUM_OVER",
			"GFX_GUI_CC_MEDIUM_PRESSED",
			"GFX_GUI_CC_NAME_NORMAL",
			"GFX_GUI_CC_NAME_OVER",
			"GFX_GUI_CC_NAME_PRESSED",
			"GFX_GUI_CC_NEW_PROF1",
			"GFX_GUI_CC_NEW_PROF10",
			"GFX_GUI_CC_NEW_PROF11",
			"GFX_GUI_CC_NEW_PROF12",
			"GFX_GUI_CC_NEW_PROF13",
			"GFX_GUI_CC_NEW_PROF14",
			"GFX_GUI_CC_NEW_PROF2",
			"GFX_GUI_CC_NEW_PROF3",
			"GFX_GUI_CC_NEW_PROF4",
			"GFX_GUI_CC_NEW_PROF5",
			"GFX_GUI_CC_NEW_PROF6",
			"GFX_GUI_CC_NEW_PROF7",
			"GFX_GUI_CC_NEW_PROF8",
			"GFX_GUI_CC_NEW_PROF9",
			"GFX_GUI_CC_NEXTHEAD_NORMAL",
			"GFX_GUI_CC_NEXTHEAD_OVER",
			"GFX_GUI_CC_NEXTHEAD_PRESSED",
			"GFX_GUI_CC_NEXT_NORMAL",
			"GFX_GUI_CC_NEXT_OVER",
			"GFX_GUI_CC_NEXT_PRESSED",
			"GFX_GUI_CC_PREVHEAD_NORMAL",
			"GFX_GUI_CC_PREVHEAD_OVER",
			"GFX_GUI_CC_PREVHEAD_PRESSED",
			"GFX_GUI_CC_RK_NORMAL",
			"GFX_GUI_CC_RK_OVER",
			"GFX_GUI_CC_RK_PRESSED",
			"GFX_GUI_CC_SHORT_NORMAL",
			"GFX_GUI_CC_SHORT_OVER",
			"GFX_GUI_CC_SHORT_PRESSED",
			"GFX_GUI_CC_SL_NORMAL",
			"GFX_GUI_CC_SL_OVER",
			"GFX_GUI_CC_SL_PRESSED",
			"GFX_GUI_CC_SMALL_NORMAL",
			"GFX_GUI_CC_SMALL_OVER",
			"GFX_GUI_CC_SMALL_PRESSED",
			"GFX_GUI_CC_TALL_NORMAL",
			"GFX_GUI_CC_TALL_OVER",
			"GFX_GUI_CC_TALL_PRESSED",
			"GFX_GUI_CC_TARGET_FRAME_BL",
			"GFX_GUI_CC_TARGET_FRAME_BR",
			"GFX_GUI_CC_TARGET_FRAME_TL",
			"GFX_GUI_CC_TARGET_FRAME_TR",
			"GFX_GUI_CHECKBOX_CHECKED",
			"GFX_GUI_CHECKBOX_UNCHECKED",
			"GFX_GUI_CHECKLIST_MARKER_NEGATIVE",
			"GFX_GUI_CHECKLIST_MARKER_POSITIVE",
			"GFX_GUI_CHECKLIST_MARKER_UNKNOWN",
			"GFX_GUI_COMBOBOX_CLOSED",
			"GFX_GUI_COMBOBOX_OPEN",
			"GFX_GUI_COMPASS",
			"GFX_GUI_COMPASS_BORDER",
			"GFX_GUI_COMPASS_FRAME",
			"GFX_GUI_COMPASS_SCALE",
			"GFX_GUI_COMPASS_WAYPOINT",
			"GFX_GUI_CONTAINER_BACKGROUND",
			"GFX_GUI_CONTROLCENTER_AGGDEF_SLIDER",
			"GFX_GUI_CONTROLCENTER_AGGDEF_SLIDER_BACKGROUND",
			"GFX_GUI_CONTROLCENTER_BIGARROW_LEFT_STATE1",
			"GFX_GUI_CONTROLCENTER_BIGARROW_LEFT_STATE2",
			"GFX_GUI_CONTROLCENTER_BIGARROW_LEFT_STATE3",
			"GFX_GUI_CONTROLCENTER_BIGARROW_RIGHT_STATE1",
			"GFX_GUI_CONTROLCENTER_BIGARROW_RIGHT_STATE2",
			"GFX_GUI_CONTROLCENTER_BIGARROW_RIGHT_STATE3",
			"GFX_GUI_CONTROLCENTER_BOTTOM_LEFT",
			"GFX_GUI_CONTROLCENTER_BOTTOM_RIGHT",
			"GFX_GUI_CONTROLCENTER_BUTTON01_LEFT",
			"GFX_GUI_CONTROLCENTER_BUTTON01_LEFT_GOLD",
			"GFX_GUI_CONTROLCENTER_BUTTON01_MIDDLE",
			"GFX_GUI_CONTROLCENTER_BUTTON01_MIDDLE_GOLD",
			"GFX_GUI_CONTROLCENTER_BUTTON01_RIGHT",
			"GFX_GUI_CONTROLCENTER_BUTTON01_RIGHT_GOLD",
			"GFX_GUI_CONTROLCENTER_BUTTON02_LEFT",
			"GFX_GUI_CONTROLCENTER_BUTTON02_MIDDLE",
			"GFX_GUI_CONTROLCENTER_BUTTON02_RIGHT",
			"GFX_GUI_CONTROLCENTER_BUTTON03_LEFT",
			"GFX_GUI_CONTROLCENTER_BUTTON03_LEFT_GOLD",
			"GFX_GUI_CONTROLCENTER_BUTTON03_MIDDLE",
			"GFX_GUI_CONTROLCENTER_BUTTON03_MIDDLE_GOLD",
			"GFX_GUI_CONTROLCENTER_BUTTON03_RIGHT",
			"GFX_GUI_CONTROLCENTER_BUTTON03_RIGHT_GOLD",
			"GFX_GUI_CONTROLCENTER_HEALTH_BAR_BG",
			"GFX_GUI_CONTROLCENTER_HEALTH_BAR_FG",
			"GFX_GUI_CONTROLCENTER_INPUT_BAR_LEFT",
			"GFX_GUI_CONTROLCENTER_INPUT_BAR_MIDDLE",
			"GFX_GUI_CONTROLCENTER_INPUT_BAR_RIGHT",
			"GFX_GUI_CONTROLCENTER_NANO_BAR_BG",
			"GFX_GUI_CONTROLCENTER_NANO_BAR_FG",
			"GFX_GUI_CONTROLCENTER_TARGET_BUTTON",
			"GFX_GUI_CONTROLCENTER_TARGET_BUTTON_STATE2",
			"GFX_GUI_CONTROLCENTER_TARGET_BUTTON_STATE3",
			"GFX_GUI_CONTROLCENTER_TARGET_ICON_OTHER",
			"GFX_GUI_CONTROLCENTER_TARGET_ICON_SELF",
			"GFX_GUI_CONTROLCENTER_WING_LEFT",
			"GFX_GUI_CONTROLCENTER_WING_RIGHT",
			"GFX_GUI_CONTROLCENTER_XP_BAR_BG",
			"GFX_GUI_CONTROLCENTER_XP_BAR_FG",
			"GFX_GUI_CVP_MENU_BAR",
			"GFX_GUI_CVP_SELECTOR",
			"GFX_GUI_DEC_SKILL",
			"GFX_GUI_DEC_SKILL_CHANGED",
			"GFX_GUI_DEFAULTBUFFICON",
			"GFX_GUI_DEFAULT_CHARREF",
			"GFX_GUI_DEFAULT_ICON32",
			"GFX_GUI_DEFAULT_ICON48",
			"GFX_GUI_DIALOG2_BL",
			"GFX_GUI_DIALOG2_BOTTOM",
			"GFX_GUI_DIALOG2_BR",
			"GFX_GUI_DIALOG2_BR_CUT",
			"GFX_GUI_DIALOG2_LEFT",
			"GFX_GUI_DIALOG2_RIGHT",
			"GFX_GUI_DIALOG2_TL",
			"GFX_GUI_DIALOG2_TL_SIMPLE",
			"GFX_GUI_DIALOG2_TOP",
			"GFX_GUI_DIALOG2_TOP_SIMPLE",
			"GFX_GUI_DIALOG2_TR",
			"GFX_GUI_DIALOG2_TR_SIMPLE",
			"GFX_GUI_DIALOG_BL",
			"GFX_GUI_DIALOG_BOTTOM",
			"GFX_GUI_DIALOG_BR",
			"GFX_GUI_DIALOG_BR_CUT",
			"GFX_GUI_DIALOG_HELP_BL",
			"GFX_GUI_DIALOG_HELP_BOTTOM",
			"GFX_GUI_DIALOG_HELP_BR",
			"GFX_GUI_DIALOG_HELP_CHECKBOX",
			"GFX_GUI_DIALOG_HELP_CHECKBOX_PRESSED",
			"GFX_GUI_DIALOG_HELP_CLOSE",
			"GFX_GUI_DIALOG_HELP_CLOSE_PRESSED",
			"GFX_GUI_DIALOG_HELP_LEFT",
			"GFX_GUI_DIALOG_HELP_NEXT",
			"GFX_GUI_DIALOG_HELP_NEXT_PRESSED",
			"GFX_GUI_DIALOG_HELP_PREV",
			"GFX_GUI_DIALOG_HELP_PREV_PRESSED",
			"GFX_GUI_DIALOG_HELP_RIGHT",
			"GFX_GUI_DIALOG_HELP_TIPS",
			"GFX_GUI_DIALOG_HELP_TIPS_PRESSED",
			"GFX_GUI_DIALOG_HELP_TL",
			"GFX_GUI_DIALOG_HELP_TOP",
			"GFX_GUI_DIALOG_HELP_TR",
			"GFX_GUI_DIALOG_HELP_X",
			"GFX_GUI_DIALOG_HELP_X_PRESSED",
			"GFX_GUI_DIALOG_LEFT",
			"GFX_GUI_DIALOG_NO",
			"GFX_GUI_DIALOG_NO_HILITE",
			"GFX_GUI_DIALOG_OK",
			"GFX_GUI_DIALOG_OK_HILITE",
			"GFX_GUI_DIALOG_RIGHT",
			"GFX_GUI_DIALOG_RIGHT_THIN",
			"GFX_GUI_DIALOG_TL",
			"GFX_GUI_DIALOG_TOP",
			"GFX_GUI_DIALOG_TR",
			"GFX_GUI_DIALOG_YES",
			"GFX_GUI_DIALOG_YES_HILITE",
			"GFX_GUI_DROPDOWNMENU_CLOSED",
			"GFX_GUI_DROPDOWNMENU_LEFT",
			"GFX_GUI_DROPDOWNMENU_MIDDLE",
			"GFX_GUI_DROPDOWNMENU_OPEN",
			"GFX_GUI_DROPDOWNMENU_RIGHT",
			"GFX_GUI_EXPAND_BUTTON_CLOSED",
			"GFX_GUI_EXPAND_BUTTON_OPEN",
			"GFX_GUI_FRIENDLIST_SPLITTER",
			"GFX_GUI_FRIENDLIST_STATUS_GREEN",
			"GFX_GUI_FRIENDLIST_STATUS_RED",
			"GFX_GUI_GREEN_LIGHT",
			"GFX_GUI_GROUPVIEW",
			"GFX_GUI_HEALTH_BAR",
			"GFX_GUI_HOR_BAR_BLUE",
			"GFX_GUI_HOR_BAR_EMPTY",
			"GFX_GUI_HOR_BAR_GREEN",
			"GFX_GUI_HOR_BAR_PURPLE",
			"GFX_GUI_HOR_BAR_RED",
			"GFX_GUI_HOR_BAR_SMALL_BLUE",
			"GFX_GUI_HOR_BAR_SMALL_EMPTY",
			"GFX_GUI_HOR_BAR_YELLOW",
			"GFX_GUI_ICONFADER32",
			"GFX_GUI_ICONSLOT",
			"GFX_GUI_ICONTYPEFRAME32_BLUE",
			"GFX_GUI_ICONTYPEFRAME32_GREEN",
			"GFX_GUI_ICONTYPEFRAME32_RED",
			"GFX_GUI_ICONTYPEFRAME32_WHITE",
			"GFX_GUI_ICONTYPEFRAME32_YELLOW",
			"GFX_GUI_ICONTYPEFRAME40_BLUE",
			"GFX_GUI_ICONTYPEFRAME40_GREEN",
			"GFX_GUI_ICONTYPEFRAME40_RED",
			"GFX_GUI_ICONTYPEFRAME40_WHITE",
			"GFX_GUI_ICONTYPEFRAME40_YELLOW",
			"GFX_GUI_ICON_COORDS",
			"GFX_GUI_ICON_DELETE",
			"GFX_GUI_ICON_FOLLOW",
			"GFX_GUI_ICON_KICK",
			"GFX_GUI_ICON_LOOKAT",
			"GFX_GUI_ICON_MACRO",
			"GFX_GUI_ICON_MAKELEADER",
			"GFX_GUI_ICON_MAKEREF",
			"GFX_GUI_ICON_PROFESSION_1",
			"GFX_GUI_ICON_PROFESSION_10",
			"GFX_GUI_ICON_PROFESSION_11",
			"GFX_GUI_ICON_PROFESSION_12",
			"GFX_GUI_ICON_PROFESSION_14",
			"GFX_GUI_ICON_PROFESSION_15",
			"GFX_GUI_ICON_PROFESSION_2",
			"GFX_GUI_ICON_PROFESSION_3",
			"GFX_GUI_ICON_PROFESSION_4",
			"GFX_GUI_ICON_PROFESSION_5",
			"GFX_GUI_ICON_PROFESSION_6",
			"GFX_GUI_ICON_PROFESSION_7",
			"GFX_GUI_ICON_PROFESSION_8",
			"GFX_GUI_ICON_PROFESSION_9",
			"GFX_GUI_ICON_PROFESSION_LARGE_1",
			"GFX_GUI_ICON_PROFESSION_LARGE_10",
			"GFX_GUI_ICON_PROFESSION_LARGE_11",
			"GFX_GUI_ICON_PROFESSION_LARGE_12",
			"GFX_GUI_ICON_PROFESSION_LARGE_14",
			"GFX_GUI_ICON_PROFESSION_LARGE_15",
			"GFX_GUI_ICON_PROFESSION_LARGE_2",
			"GFX_GUI_ICON_PROFESSION_LARGE_3",
			"GFX_GUI_ICON_PROFESSION_LARGE_4",
			"GFX_GUI_ICON_PROFESSION_LARGE_5",
			"GFX_GUI_ICON_PROFESSION_LARGE_6",
			"GFX_GUI_ICON_PROFESSION_LARGE_7",
			"GFX_GUI_ICON_PROFESSION_LARGE_8",
			"GFX_GUI_ICON_PROFESSION_LARGE_9",
			"GFX_GUI_ICON_TEAMMISSION",
			"GFX_GUI_ICON_TOWER",
			"GFX_GUI_ICON_USE",
			"GFX_GUI_ICQ_ICON_CHAT",
			"GFX_GUI_ICQ_ICON_IDLE",
			"GFX_GUI_ICQ_ICON_MESSAGE",
			"GFX_GUI_ICQ_OFFLINE",
			"GFX_GUI_ICQ_ONLINE",
			"GFX_GUI_ICQ_UNKNOWN",
			"GFX_GUI_IGNOREDICON",
			"GFX_GUI_INACTIVE_GRID_SLOT",
			"GFX_GUI_INC_SKILL",
			"GFX_GUI_INC_SKILL_CHANGED",
			"GFX_GUI_INDICATOR_ATTACKING",
			"GFX_GUI_INDICATOR_SELECTED",
			"GFX_GUI_INFO_BORDER_BACK_HILITE",
			"GFX_GUI_INFO_BORDER_BACK_INVALID",
			"GFX_GUI_INFO_BORDER_BACK_NORMAL",
			"GFX_GUI_INFO_BORDER_BOTTOM",
			"GFX_GUI_INFO_BORDER_BOTTOMLEFT",
			"GFX_GUI_INFO_BORDER_BOTTOMRIGHT",
			"GFX_GUI_INFO_BORDER_LEFT",
			"GFX_GUI_INFO_BORDER_PIN_HILITE",
			"GFX_GUI_INFO_BORDER_PIN_NORMAL",
			"GFX_GUI_INFO_BORDER_RIGHT",
			"GFX_GUI_INFO_BORDER_TOP",
			"GFX_GUI_INFO_BORDER_TOPLEFT",
			"GFX_GUI_INFO_BORDER_TOPRIGHT",
			"GFX_GUI_INFO_BORDER_TOPRIGHT_HILITE",
			"GFX_GUI_INFO_BORDER_TOPRIGHT_NORMAL",
			"GFX_GUI_INSET_BL",
			"GFX_GUI_INSET_BOTTOM",
			"GFX_GUI_INSET_BR",
			"GFX_GUI_INSET_LEFT",
			"GFX_GUI_INSET_RIGHT",
			"GFX_GUI_INSET_TL",
			"GFX_GUI_INSET_TOP",
			"GFX_GUI_INSET_TR",
			"GFX_GUI_INVENTORYVIEW_BACKGROUND",
			"GFX_GUI_INV_ITEM_LOCK",
			"GFX_GUI_KNOWLEDGEVIEW_BACKGROUND",
			"GFX_GUI_MAIL_NEW",
			"GFX_GUI_MAIL_READ",
			"GFX_GUI_MAIL_UNREAD",
			"GFX_GUI_MAPDOT_BLUE",
			"GFX_GUI_MAPDOT_CYAN",
			"GFX_GUI_MAPDOT_GREEN",
			"GFX_GUI_MAPDOT_LBLUE",
			"GFX_GUI_MAPDOT_ORANGE",
			"GFX_GUI_MAPDOT_RED",
			"GFX_GUI_MAPDOT_WHITE",
			"GFX_GUI_MAPFLAG_CYAN",
			"GFX_GUI_MAPFLAG_GREEN",
			"GFX_GUI_MAPFLAG_LBLUE",
			"GFX_GUI_MAPFLAG_ORANGE",
			"GFX_GUI_MAPFLAG_RED",
			"GFX_GUI_MAPFLAG_WHITE",
			"GFX_GUI_MAPSQUARE_CLAN",
			"GFX_GUI_MAPSQUARE_MISSION",
			"GFX_GUI_MAPSQUARE_MONSTER",
			"GFX_GUI_MAPSQUARE_NEUTRAL",
			"GFX_GUI_MAPSQUARE_OMNI",
			"GFX_GUI_MAPSQUARE_SELECTED",
			"GFX_GUI_MAPSQUARE_SHOP",
			"GFX_GUI_MAPSQUARE_TEAMMEMBER",
			"GFX_GUI_MAPVIEW_NEW_BACKGROUND",
			"GFX_GUI_MAP_ARROW",
			"GFX_GUI_MAP_ARROW_SELECTED",
			"GFX_GUI_MAP_BIG_ARROW",
			"GFX_GUI_MAP_BUFFTOWER_BLUE",
			"GFX_GUI_MAP_BUFFTOWER_GREY",
			"GFX_GUI_MAP_BUFFTOWER_RED",
			"GFX_GUI_MAP_CIRCLE",
			"GFX_GUI_MAP_CONTROLLER_BLUE",
			"GFX_GUI_MAP_CONTROLLER_GREY",
			"GFX_GUI_MAP_CONTROLLER_RED",
			"GFX_GUI_MAP_GUARDTOWER_BLUE",
			"GFX_GUI_MAP_GUARDTOWER_GREY",
			"GFX_GUI_MAP_GUARDTOWER_RED",
			"GFX_GUI_MENU_CHECK",
			"GFX_GUI_MENU_SUB_ARROW",
			"GFX_GUI_MISSION_SELECTION_BOTTOM",
			"GFX_GUI_MISSION_SELECTION_MIDDLE",
			"GFX_GUI_MISSION_SELECTION_TOP",
			"GFX_GUI_MISSION_SLIDER",
			"GFX_GUI_MISSION_SLIDER_BACKGROUND",
			"GFX_GUI_MULTILISTVIEW_SLOT_20X12",
			"GFX_GUI_MULTILISTVIEW_SLOT_32_CLOSED",
			"GFX_GUI_MULTILISTVIEW_SLOT_32_OPEN",
			"GFX_GUI_MULTILISTVIEW_SLOT_40X24",
			"GFX_GUI_MULTILISTVIEW_SLOT_48_CLOSED",
			"GFX_GUI_MULTILISTVIEW_SLOT_48_OPEN",
			"GFX_GUI_NANOVIEW",
			"GFX_GUI_NANO_BAR",
			"GFX_GUI_NANO_COMBAT",
			"GFX_GUI_NANO_COMBAT_PRESSED",
			"GFX_GUI_NANO_FAVOURITES",
			"GFX_GUI_NANO_FAVOURITES_PRESSED",
			"GFX_GUI_NANO_MEDICAL",
			"GFX_GUI_NANO_MEDICAL_PRESSED",
			"GFX_GUI_NANO_PROT",
			"GFX_GUI_NANO_PROT_PRESSED",
			"GFX_GUI_NANO_PSI",
			"GFX_GUI_NANO_PSI_PRESSED",
			"GFX_GUI_NANO_SPACE",
			"GFX_GUI_NANO_SPACE_PRESSED",
			"GFX_GUI_NEW_IP",
			"GFX_GUI_NEW_PERK",
			"GFX_GUI_NEW_TECH",
			"GFX_GUI_NEW_TIP",
			"GFX_GUI_NPCCHAT_BULLET",
			"GFX_GUI_NPCCHAT_CASH_PANEL",
			"GFX_GUI_NPCCHAT_SEPERATOR",
			"GFX_GUI_NPCCHAT_TRADE_PANEL_BIG",
			"GFX_GUI_OPTION_SLIDER",
			"GFX_GUI_OPTION_SLIDER_THING",
			"GFX_GUI_PERK_LEFT",
			"GFX_GUI_PERK_LEFT_STATE2",
			"GFX_GUI_PERK_MIDDLE",
			"GFX_GUI_PERK_MIDDLE_STATE2",
			"GFX_GUI_PERK_RIGHT",
			"GFX_GUI_PERK_RIGHT_STATE2",
			"GFX_GUI_PERK_STATUS_ICON",
			"GFX_GUI_PINBUTTON_NORMAL",
			"GFX_GUI_PINBUTTON_PRESSED",
			"GFX_GUI_PING_INDICATOR",
			"GFX_GUI_PLANETMAP_CENTER_MISSION",
			"GFX_GUI_PLANETMAP_CENTER_MISSION_PRESSED",
			"GFX_GUI_PLANETMAP_CENTER_PLAYER",
			"GFX_GUI_PLANETMAP_CENTER_PLAYER_PRESSED",
			"GFX_GUI_PLANETMAP_CENTER_SHOP",
			"GFX_GUI_PLANETMAP_CENTER_SHOP_PRESSED",
			"GFX_GUI_PLANETMAP_MISSION_MARKER",
			"GFX_GUI_PLANETMAP_MISSION_MARKER2",
			"GFX_GUI_PLANETMAP_OPTION",
			"GFX_GUI_PLANETMAP_OPTION_PRESSED",
			"GFX_GUI_PLANETMAP_PLAYER_MARKER",
			"GFX_GUI_PLANETMAP_SHOP_MARKER",
			"GFX_GUI_PLANETMAP_ZOOM_IN",
			"GFX_GUI_PLANETMAP_ZOOM_IN_PRESSED",
			"GFX_GUI_PLANETMAP_ZOOM_OUT",
			"GFX_GUI_PLANETMAP_ZOOM_OUT_PRESSED",
			"GFX_GUI_POINTERDETAIL_ATTACK",
			"GFX_GUI_POINTERDETAIL_DENIED",
			"GFX_GUI_POINTERDETAIL_LOOKAT",
			"GFX_GUI_POINTERDETAIL_OPERATE",
			"GFX_GUI_POINTERDETAIL_PICKUP",
			"GFX_GUI_POINTERDETAIL_QUESTION",
			"GFX_GUI_POINTERDETAIL_TALK",
			"GFX_GUI_POINTERDETAIL_TRADE",
			"GFX_GUI_POINTEROVERLAY_BOTHCLICK",
			"GFX_GUI_POINTEROVERLAY_LEFTCLICK",
			"GFX_GUI_POINTEROVERLAY_RIGHTCLICK",
			"GFX_GUI_POINTER_4WAY_DRAG",
			"GFX_GUI_POINTER_HAND",
			"GFX_GUI_POINTER_HOR_DRAG",
			"GFX_GUI_POINTER_IBEAM",
			"GFX_GUI_POINTER_NE_SW_DRAG",
			"GFX_GUI_POINTER_NW_SE_DRAG",
			"GFX_GUI_POINTER_STANDARD",
			"GFX_GUI_POINTER_STANDARD_BLUE",
			"GFX_GUI_POINTER_STANDARD_GRAY",
			"GFX_GUI_POINTER_STANDARD_GREEN",
			"GFX_GUI_POINTER_STANDARD_PURPLE",
			"GFX_GUI_POINTER_STANDARD_RED",
			"GFX_GUI_POINTER_STANDARD_YELLOW",
			"GFX_GUI_POINTER_VER_DRAG",
			"GFX_GUI_POINTER_WAIT",
			"GFX_GUI_PROGRESS01_BACKGROUND",
			"GFX_GUI_PROGRESS01_BORDER_BL",
			"GFX_GUI_PROGRESS01_BORDER_BOTTOM",
			"GFX_GUI_PROGRESS01_BORDER_BR",
			"GFX_GUI_PROGRESS01_BORDER_LEFT",
			"GFX_GUI_PROGRESS01_BORDER_RIGHT",
			"GFX_GUI_PROGRESS01_BORDER_TL",
			"GFX_GUI_PROGRESS01_BORDER_TOP",
			"GFX_GUI_PROGRESS01_BORDER_TR",
			"GFX_GUI_PROGRESS01_FRONT",
			"GFX_GUI_QUESTVIEW",
			"GFX_GUI_QUIT_BG",
			"GFX_GUI_RADIOBUTTON_CHECKED",
			"GFX_GUI_RADIOBUTTON_UNCHECKED",
			"GFX_GUI_RED_LIGHT",
			"GFX_GUI_REF_ADDON",
			"GFX_GUI_ROLLUP_BOTTOM_BORDER",
			"GFX_GUI_ROLLUP_COLLAPSE_STATE1",
			"GFX_GUI_ROLLUP_COLLAPSE_STATE2",
			"GFX_GUI_ROLLUP_COLLAPSE_STATE3",
			"GFX_GUI_ROLLUP_EXPAND_STATE1",
			"GFX_GUI_ROLLUP_EXPAND_STATE2",
			"GFX_GUI_ROLLUP_EXPAND_STATE3",
			"GFX_GUI_SB_ACTION",
			"GFX_GUI_SB_ACTION_OFF",
			"GFX_GUI_SB_FRIENDS",
			"GFX_GUI_SB_FRIENDS_OFF",
			"GFX_GUI_SB_MAP",
			"GFX_GUI_SB_MAP_OFF",
			"GFX_GUI_SB_MISSION",
			"GFX_GUI_SB_MISSIONCREATION",
			"GFX_GUI_SB_MISSIONCREATION_OFF",
			"GFX_GUI_SB_MISSION_OFF",
			"GFX_GUI_SB_NANO",
			"GFX_GUI_SB_NANO_OFF",
			"GFX_GUI_SB_NCU",
			"GFX_GUI_SB_NCU_OFF",
			"GFX_GUI_SB_REF",
			"GFX_GUI_SB_REF_OFF",
			"GFX_GUI_SB_STAT",
			"GFX_GUI_SB_STAT_OFF",
			"GFX_GUI_SB_TEAM",
			"GFX_GUI_SB_TEAM_OFF",
			"GFX_GUI_SB_WEAR",
			"GFX_GUI_SB_WEAR_OFF",
			"GFX_GUI_SCROLLBAR_EMPTY",
			"GFX_GUI_SCROLLBAR_FILLED",
			"GFX_GUI_SCROLLBAR_GRAY_DOWN_NORMAL",
			"GFX_GUI_SCROLLBAR_GRAY_DOWN_PRESSED",
			"GFX_GUI_SCROLLBAR_GRAY_EMPTY",
			"GFX_GUI_SCROLLBAR_GRAY_FULL",
			"GFX_GUI_SCROLLBAR_GRAY_UP_NORMAL",
			"GFX_GUI_SCROLLBAR_GRAY_UP_PRESSED",
			"GFX_GUI_SELECTED_ICON",
			"GFX_GUI_SHORT_HOR_BAR_EMPTY",
			"GFX_GUI_SHORT_HOR_BAR_RED",
			"GFX_GUI_SHORT_THIN_HOR_BAR_BLUE",
			"GFX_GUI_SHORT_THIN_HOR_BAR_EMPTY",
			"GFX_GUI_SIMPLE_SB_DOWN",
			"GFX_GUI_SIMPLE_SB_DOWN_STATE2",
			"GFX_GUI_SIMPLE_SB_DOWN_STATE3",
			"GFX_GUI_SIMPLE_SB_LEFT",
			"GFX_GUI_SIMPLE_SB_LEFT_STATE2",
			"GFX_GUI_SIMPLE_SB_LEFT_STATE3",
			"GFX_GUI_SIMPLE_SB_RIGHT",
			"GFX_GUI_SIMPLE_SB_RIGHT_STATE2",
			"GFX_GUI_SIMPLE_SB_RIGHT_STATE3",
			"GFX_GUI_SIMPLE_SB_SLIDER_HOR",
			"GFX_GUI_SIMPLE_SB_SLIDER_HOR_STATE2",
			"GFX_GUI_SIMPLE_SB_SLIDER_HOR_STATE3",
			"GFX_GUI_SIMPLE_SB_SLIDER_VERT",
			"GFX_GUI_SIMPLE_SB_SLIDER_VERT_STATE2",
			"GFX_GUI_SIMPLE_SB_SLIDER_VERT_STATE3",
			"GFX_GUI_SIMPLE_SB_UP",
			"GFX_GUI_SIMPLE_SB_UP_STATE2",
			"GFX_GUI_SIMPLE_SB_UP_STATE3",
			"GFX_GUI_SKILL_ADJUST_BOX",
			"GFX_GUI_SKILL_BUTTON_ACCEPT_DOWN",
			"GFX_GUI_SKILL_BUTTON_ACCEPT_UP",
			"GFX_GUI_SKILL_BUTTON_CANCEL_DOWN",
			"GFX_GUI_SKILL_BUTTON_CANCEL_UP",
			"GFX_GUI_SKILL_BUTTON_LEFT_DOWN",
			"GFX_GUI_SKILL_BUTTON_LEFT_UP",
			"GFX_GUI_SKILL_BUTTON_RIGHT_DOWN",
			"GFX_GUI_SKILL_BUTTON_RIGHT_UP",
			"GFX_GUI_SKILL_BUTTON_RS_DOWN",
			"GFX_GUI_SKILL_BUTTON_RS_UP",
			"GFX_GUI_SKILL_END_BORDER",
			"GFX_GUI_SKILL_HEADER_BOX",
			"GFX_GUI_SKILL_IP_USED_BOX",
			"GFX_GUI_SKILL_MAIN_BOX",
			"GFX_GUI_SKILL_MAIN_BUTTON_DOWN",
			"GFX_GUI_SKILL_MAIN_BUTTON_UP",
			"GFX_GUI_SKILL_RP_BACKGROUND",
			"GFX_GUI_SPIN_DOWN",
			"GFX_GUI_SPIN_DOWN_HILITE",
			"GFX_GUI_SPIN_UP",
			"GFX_GUI_SPIN_UP_HILITE",
			"GFX_GUI_SPLIT_HOR",
			"GFX_GUI_SPLIT_VERT",
			"GFX_GUI_STANDARD_CLOSE_HILITE",
			"GFX_GUI_STANDARD_CLOSE_NORMAL",
			"GFX_GUI_SYSTEM_BACKGROUND",
			"GFX_GUI_TAB_ACTIVE_LEFT",
			"GFX_GUI_TAB_ACTIVE_MIDDLE",
			"GFX_GUI_TAB_ACTIVE_RIGHT",
			"GFX_GUI_TAB_BACKGROUND",
			"GFX_GUI_TAB_BORDER_BL",
			"GFX_GUI_TAB_BORDER_BL02",
			"GFX_GUI_TAB_BORDER_BOTTOM",
			"GFX_GUI_TAB_BORDER_BR",
			"GFX_GUI_TAB_BORDER_LEFT",
			"GFX_GUI_TAB_BORDER_RIGHT",
			"GFX_GUI_TAB_BORDER_RL02",
			"GFX_GUI_TAB_BORDER_TL",
			"GFX_GUI_TAB_BORDER_TOP",
			"GFX_GUI_TAB_BORDER_TR",
			"GFX_GUI_TAB_INACTIVE_LEFT",
			"GFX_GUI_TAB_INACTIVE_MIDDLE",
			"GFX_GUI_TAB_INACTIVE_RIGHT",
			"GFX_GUI_TARGET_HB_BACKGROUND",
			"GFX_GUI_TARGET_HB_LEFT",
			"GFX_GUI_TARGET_HB_RIGHT",
			"GFX_GUI_TARGET_HB_SLIDER",
			"GFX_GUI_TEAMVIEW_BG",
			"GFX_GUI_TIMERBAR_EMPTY",
			"GFX_GUI_TIMERBAR_FULL",
			"GFX_GUI_TIMEVIEW",
			"GFX_GUI_TOOLBAR_BORDER_BOTTOM",
			"GFX_GUI_TOOLBAR_BORDER_END_H",
			"GFX_GUI_TOOLBAR_BORDER_END_V",
			"GFX_GUI_TOOLBAR_BORDER_LEFT",
			"GFX_GUI_TOOLBAR_BORDER_RIGHT",
			"GFX_GUI_TOOLBAR_BORDER_TOP",
			"GFX_GUI_TOOLBAR_BUTTON_DOWN",
			"GFX_GUI_TOOLBAR_BUTTON_DOWN_HILITE",
			"GFX_GUI_TOOLBAR_BUTTON_LEFT",
			"GFX_GUI_TOOLBAR_BUTTON_LEFT_HILITE",
			"GFX_GUI_TOOLBAR_BUTTON_RIGHT",
			"GFX_GUI_TOOLBAR_BUTTON_RIGHT_HILITE",
			"GFX_GUI_TOOLBAR_BUTTON_UP",
			"GFX_GUI_TOOLBAR_BUTTON_UP_HILITE",
			"GFX_GUI_TOOLBAR_CONTROL_H",
			"GFX_GUI_TOOLBAR_CONTROL_V",
			"GFX_GUI_TOPTARGET_EMPTY",
			"GFX_GUI_TOPTARGET_FULL",
			"GFX_GUI_TOPTARGET_LB",
			"GFX_GUI_TOPTARGET_RB",
			"GFX_GUI_TRADE_INPUT",
			"GFX_GUI_TRADE_SHOP",
			"GFX_GUI_TRADE_TRADE",
			"GFX_GUI_TREE_EXTENDED",
			"GFX_GUI_TREE_LEVEL_1",
			"GFX_GUI_WEARVIEW_BG1",
			"GFX_GUI_WEARVIEW_BG2",
			"GFX_GUI_WEARVIEW_CLOTHING",
			"GFX_GUI_WEARVIEW_IMPLANTS",
			"GFX_GUI_WEARVIEW_WEAPON",
			"GFX_GUI_WHITEBOX1616",
			"GFX_GUI_WINDOW3_BORDER_BL",
			"GFX_GUI_WINDOW3_BORDER_BL2",
			"GFX_GUI_WINDOW3_BORDER_BOTTOM",
			"GFX_GUI_WINDOW3_BORDER_BR",
			"GFX_GUI_WINDOW3_BORDER_BR2",
			"GFX_GUI_WINDOW3_BORDER_LEFT",
			"GFX_GUI_WINDOW3_BORDER_RIGHT",
			"GFX_GUI_WINDOW3_BORDER_TL",
			"GFX_GUI_WINDOW3_BORDER_TOP",
			"GFX_GUI_WINDOW3_BORDER_TR",
			"GFX_GUI_WINDOW_BACKGROUND",
			"GFX_GUI_WINDOW_CLOSE_X",
			"GFX_GUI_WINDOW_CLOSE_X_STATE2",
			"GFX_GUI_WINDOW_CLOSE_X_STATE3",
			"GFX_GUI_WINDOW_CORNER_DRAG",
			"GFX_GUI_WINDOW_ICON_BACKWARD",
			"GFX_GUI_WINDOW_ICON_FACTIONS",
			"GFX_GUI_WINDOW_ICON_FORWARD",
			"GFX_GUI_WINDOW_ICON_HELP",
			"GFX_GUI_WINDOW_ICON_HOME",
			"GFX_GUI_WINDOW_ICON_I",
			"GFX_GUI_WINDOW_ICON_MAP",
			"GFX_GUI_WINDOW_ICON_NCU",
			"GFX_GUI_WINDOW_ICON_PERKS",
			"GFX_GUI_WINDOW_ICON_PET",
			"GFX_GUI_WINDOW_ICON_POPUP",
			"GFX_GUI_WINDOW_MAXIMIZE",
			"GFX_GUI_WINDOW_MAXIMIZE_STATE2",
			"GFX_GUI_WINDOW_MAXIMIZE_STATE3",
			"GFX_GUI_WINDOW_PIN",
			"GFX_GUI_WINDOW_PIN_STATE2",
			"GFX_GUI_WINDOW_PIN_STATE3",
			"GFX_GUI_WINDOW_QUESTIONMARK",
			"GFX_GUI_WINDOW_QUESTIONMARK_STATE2",
			"GFX_GUI_WINDOW_QUESTIONMARK_STATE3",
			"GFX_GUI_XP_BAR",
		];
		$blob = "";
		foreach ($icons as $icon) {
			$blob .= "<pagebreak>Icon: <img src=tdb://id:{$icon}> {$icon}\n";
		}
		$msg = $this->text->makeBlob("All game icons", $blob);
		$context->reply($msg);
	}
}
